Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.job
Class Job

    java.lang.Object
      org.jbpm.job.Job

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ExecuteActionJob, ExecuteNodeJob, Timer

    public abstract class Job

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Job()`
`Job(Token token)`

Method Summary
`abstract boolean` | `execute(JbpmContext jbpmContext)`
`java.util.Date` | `getAqcuireDate()`
`java.lang.String` | `getConfiguration()`
`java.util.Date` | `getDueDate()`
`java.lang.String` | `getException()`
`long` | `getId()`
`java.lang.String` | `getJobExecutorName()`
`java.lang.String` | `getLockOwner()`
`java.util.Date` | `getLockTime()`
`ProcessInstance` | `getProcessInstance()`
`int` | `getRetries()`
`TaskInstance` | `getTaskInstance()`
`Token` | `getToken()`
`int` | `getVersion()`
`boolean` | `isExclusive()`
`boolean` | `isSuspended()`
`void` | `setConfiguration(java.lang.String configuration)`
`void` | `setDueDate(java.util.Date dueDate)`
`void` | `setException(java.lang.String exception)`
`void` | `setExclusive(boolean isExclusive)`
`void` | `setLockOwner(java.lang.String jobExecutorName)`
`void` | `setLockTime(java.util.Date aqcuireDate)`
`void` | `setProcessInstance(ProcessInstance processInstance)`
`void` | `setRetries(int retries)`
`void` | `setSuspended(boolean isSuspended)`
`void` | `setTaskInstance(TaskInstance taskInstance)`
`void` | `setToken(Token token)`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringLongFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Job

    public Job()

### Job

    public Job(Token token)

Method Detail

### execute

    public abstract boolean execute(JbpmContext jbpmContext)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringLongFormat

    public java.lang.String toStringLongFormat()

### getProcessInstance

    public ProcessInstance getProcessInstance()

### setProcessInstance

    public void setProcessInstance(ProcessInstance processInstance)

### getToken

    public Token getToken()

### setToken

    public void setToken(Token token)

### getId

    public long getId()

### getAqcuireDate

    public java.util.Date getAqcuireDate()

### setLockTime

    public void setLockTime(java.util.Date aqcuireDate)

### getDueDate

    public java.util.Date getDueDate()

### setDueDate

    public void setDueDate(java.util.Date dueDate)

### getException

    public java.lang.String getException()

### setException

    public void setException(java.lang.String exception)

### isExclusive

    public boolean isExclusive()

### setExclusive

    public void setExclusive(boolean isExclusive)

### getJobExecutorName

    public java.lang.String getJobExecutorName()

### setLockOwner

    public void setLockOwner(java.lang.String jobExecutorName)

### getRetries

    public int getRetries()

### setRetries

    public void setRetries(int retries)

### getTaskInstance

    public TaskInstance getTaskInstance()

### setTaskInstance

    public void setTaskInstance(TaskInstance taskInstance)

### getConfiguration

    public java.lang.String getConfiguration()

### setConfiguration

    public void setConfiguration(java.lang.String configuration)

### getLockOwner

    public java.lang.String getLockOwner()

### getLockTime

    public java.util.Date getLockTime()

### isSuspended

    public boolean isSuspended()

### setSuspended

    public void setSuspended(boolean isSuspended)

### getVersion

    public int getVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD